#include "map.h"
#include <stdio.h>
#include <string.h>
#include <X11/Xutil.h>

void OnMapRequest(Aswm* aswm, const XMapRequestEvent* e) {
	printf("XMapRequestEvent %lu\n", e->window);

	{
		XTextProperty text_property;
		XGetWMName(e->display, e->window, &text_property);
		printf("\tname: %s\n", text_property.value);
		if(text_property.value != nullptr && strcmp(text_property.value, "ES-DE") == 0)
			aswm->es_de_window = e->window;
	}
	{
		XClassHint class;
		XGetClassHint(e->display, e->window, &class);
		printf("\tclass: %s, %s\n", class.res_class, class.res_name);
	}

	int screen_number = XDefaultScreen(e->display);
	int full_width = XDisplayWidth(e->display, screen_number);
	int full_height = XDisplayWidth(e->display, screen_number);

	aswm_map_new_window(e->display, e->window, aswm->root_tile);

	/* XSelectInput(e->display, e->window, FocusChangeMask | EnterWindowMask | LeaveWindowMask | ButtonPressMask | ButtonReleaseMask); */
	XMapWindow(e->display, e->window);
}
